
Redmine - Defect #1947

Parsing of issue #s in commit messages fails if number followed by a comma, etc.

2008-09-25 20:11 - Lane Roathe

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

We have found that if an issue number is followed by a comma or any other punctuation then the parsing of that as an issue # fails.

Examples:

Works:

Issue #123

 Fails:

Issue #123,456

 PS: Did a search for an existing issue or patch and didn't find one, if this is a dup, just mark it as such.

History

#1 - 2008-09-25 23:09 - Mischa The Evil

Lane Roathe wrote:

Issue #123,456

 

Redmine expects that line as follows:

Issue #123,#456

 That will work I guess. # is the default character in Redmine which should be prepended before an issue-number to let Redmine detect (and parse) it

accordingly.

Please report back if it works so this issue could be closed when the issue is solved.

HTH...

#2 - 2008-10-25 12:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.3)

- Resolution set to Invalid

- Affected version deleted (0.7.3)

As Mischa said, each issues id must be prefix with #.
